from pyrogram import filters
from pyrogram.types import CallbackQuery

from classes.pyroclient import PyroClient


@PyroClient.on_callback_query(filters.regex(r"nothing"))  # type: ignore
async def callback_nothing(app: PyroClient, callback: CallbackQuery):
    group = await app.find_group(callback.message.chat.id)
    locale = group.select_locale(app, callback.message.from_user)

    await callback.answer(app._("nothing", "callbacks", locale=locale))
